package yangtz.cs.liu.campus.service.schooloffical;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.schooloffical.SchoolOfficial;
import yangtz.cs.liu.campus.domain.schooloffical.SchoolOfficialFlow;
import yangtz.cs.liu.campus.vo.schoolOfficial.SchoolOfficialVo;

import java.util.List;

public interface ISchoolOfficalService extends IService<SchoolOfficial> {
    public void Temporary();

    public void Message();

    public List<SchoolOfficial> selectList(SchoolOfficial schoolOfficial);

    public List<SchoolOfficialVo> selectListVo(SchoolOfficial schoolOfficial);

    public int updateSchoolOfficialById(SchoolOfficialVo schoolOfficialVo);


    public List<SchoolOfficial> selectListById(Long id);

    //修改时暂存
    public int storage(SchoolOfficialVo schoolOfficialVo);

    //新增时暂存
    public int addStorage(SchoolOfficialVo schoolOfficialVo);

    //新增时发文
    public int addMessage(SchoolOfficialVo schoolOfficialVo);

    //修改时发文
    public int editMessage(SchoolOfficialVo schoolOfficialVo);

    //列表页发文
    public int pub(Long id);

    public int integration(SchoolOfficial schoolOfficial, SchoolOfficialFlow schoolOfficialFlow);

    //首页我的任务列表,任务
    public List<SchoolOfficialVo> myTaskList(Long userId,String state, SchoolOfficial schoolOfficial);

    void judgeState(Long id);

    //获取带附件的详情
    SchoolOfficialVo getInfo(Long id);

}
